function  battle_bai025(npcID)--楼兰王

	local sg=flag.GetBattleValue(16222)	--语言提示打法
	local m=flag.GetBattleValue(16011)
	
	if m~=0 and sg==0 then   --战斗对话提示
		flag.SetBattleValue(16222,1)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==4 then
			uid=127
		elseif zid==8 then
			uid=166	
		elseif zid==32 then
			uid=552
		elseif zid==64 then
			uid=635
		elseif zid==128 then
			uid=153
		end
		ui.Dialog(87002,uid,0,0,zid,0)--好像那沙蚣吸取我们的生命力转移给楼兰王，想办法让它少吸！
	elseif m~=0 and sg==1 then
		flag.SetBattleValue(16222,2)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==4 then
			uid=127
		elseif zid==8 then
			uid=166	
		elseif zid==32 then
			uid=552
		elseif zid==64 then
			uid=635
		elseif zid==128 then
			uid=153
		end
		ui.Dialog(87003,uid,0,0,zid,0)--我知道了，尽量保持多的有利状态，这样沙蚣便无法吸走多少生命力。
		
	end
	
	
		
	if m==0 then
		id=battle.GetRndPlayer()
		battle.MagicToPlayer(id,276,1)
	elseif m==1 then
		flag.SetBattleValue(16011,0)
		battle.MagicToPlayer(id,277,1)
		--此处添加清除魂魄碎片UI脚本
		battle.SetSoulCount(0)
		global.WaitForBattleSEEnd(4701)
		npc.StopSE(90000)
	elseif m==2 then
		flag.SetBattleValue(16011,0)
		battle.MagicToPlayer(0,272,1)
		--此处添加清除魂魄碎片UI脚本
		battle.SetSoulCount(0)
		global.WaitForBattleSEEnd(3153)
		npc.StopSE(90000)
	elseif m==3 then
		flag.SetBattleValue(19010,1)
		flag.SetBattleValue(16011,0)
		battle.MagicToPlayer(0,275,1)
		--此处添加清除魂魄碎片UI脚本
		battle.SetSoulCount(0)
		global.WaitForBattleSEEnd(4518)
		npc.StopSE(90000)
	end
	
	
	

end